AUPARSE_GET_LINE_NUMBER(3)

NAME
auparse_get_line_number - get line number where record was found

SYNOPSIS
#include <auparse.h>

unsigned int auparse_get_line_number(auparse_state_t *au);

DESCRIPTION
auparse_get_line_number will return the source input line number for the current record of the current event. Line numbers start at 1. If the source input type is AUSOURCE_FILE_ARRAY the line numbering will reset back to 1 each time a new line in the file array is opened.

RETURN VALUE
Returns the line number. Line numbers are 1 based, a zero value indicates the line number information is unavailable.

SEE ALSO
auparse_get_filename(3). auparse_next_record(3).

AUTHOR
John Dennis